zenilib: Zeni::Popup_Menu_State::Quit_Button Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
Zeni::Popup_Menu_State::Quit_Button Class Reference

`#include <Popup_State.h>`

Inherits Zeni::Text_Button.

## Public Member Functions

| Quit_Button (const Point2f &upper_left, const Point2f &lower_right)
void | on_accept ()
| Called when the cursor is released inside the button. More...
Public Member Functions inherited from Zeni::Text_Button
| Text_Button (const Point2f &upper_left_, const Point2f &lower_right_, const String &font_name_, const String &text_)
Public Member Functions inherited from Zeni::Widget_Button
| Widget_Button (const Point2f &upper_left_, const Point2f &lower_right_)
const State & | get_State () const
| Get the State of the button. More...
virtual void | on_click ()
| Called when the cursor downclicks the button. More...
virtual void | on_hover ()
| Called when the cursor passes over the button. More...
virtual void | on_mouse_button (const Point2i &pos, const bool &down, const int &button)
virtual void | on_mouse_motion (const Point2i &pos)
virtual void | on_reject ()
| Called when the cursor is released outside the button. More...
virtual void | on_stray ()
| Called when the cursor is dragged off the button after being clicked. More...
virtual void | on_unhover ()
| Called when the cursor leaves the button without clicking. More...
virtual void | on_unstray ()
| Called when the cursor is dragged back onto the button without releasing the clicker. More...
Public Member Functions inherited from Zeni::Widget
| Widget ()
virtual | ~Widget ()
void | fax_Renderer (const Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget a copy. More...
const float & | get_layer () const
const Widget_Render_Function * | get_Renderer () const
| Get the current Widget_Render_Function. More...
void | give_Renderer (Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget ownership. More...
const bool & | is_busy () const
const bool & | is_editable () const
void | lend_Renderer (const Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget no ownership. More...
void | on_event (const SDL_KeyboardEvent &event)
void | on_event (const SDL_MouseButtonEvent &event)
void | on_event (const SDL_MouseButtonEvent &event, const Projector2D &projector)
void | on_event (const SDL_MouseMotionEvent &event)
void | on_event (const SDL_MouseMotionEvent &event, const Projector2D &projector)
virtual void | on_key (const SDL_Keysym &, const bool &)
virtual void | perform_logic ()
void | render () const
virtual void | render_impl () const
void | set_busy (const bool &busy_)
virtual void | set_editable (const bool &editable_)
void | set_layer (const float &layer_=0.0f)
Public Member Functions inherited from Zeni::Widget_Rectangle
| Widget_Rectangle (const Point2f &upper_left_, const Point2f &lower_right_)
virtual | ~Widget_Rectangle ()
Point2f | get_center () const
float | get_height () const
Point2f | get_lower_left () const
const Point2f & | get_lower_right () const
const Point2f & | get_upper_left () const
Point2f | get_upper_right () const
float | get_width () const
bool | is_inside (const Point2i &pos) const
virtual void | set_lower_right (const Point2f &lower_right_)
virtual void | set_upper_left (const Point2f &upper_left_)
Public Member Functions inherited from Zeni::Widget_Renderer_Text
| Widget_Renderer_Text (const String &font_name_, const String &text_, const Color &color_)
virtual Widget_Renderer_Text * | get_duplicate () const
virtual void | render_to (const Widget &widget)
| rect must be of type Widget_Rectangle More...
Public Member Functions inherited from Zeni::Widget_Render_Function
virtual | ~Widget_Render_Function ()

## Additional Inherited Members

Public Types inherited from Zeni::Widget_Button
enum | State { NORMAL, CLICKED, HOVERED, STRAYED, UNACTIONABLE }
Public Attributes inherited from Zeni::Widget_Renderer_Text
Color | color
String | font_name
String | text

## Detailed Description

Definition at line 228 of file Popup_State.h.

## Constructor & Destructor Documentation

Zeni::Popup_Menu_State::Quit_Button::Quit_Button | ( | const Point2f & | upper_left,
|  | const Point2f & | lower_right
| ) |  |

inline

Definition at line 233 of file Popup_State.h.

## Member Function Documentation

void Zeni::Popup_Menu_State::Quit_Button::on_accept | ( |  | ) |

inlinevirtual

Called when the cursor is released inside the button.

Reimplemented from Zeni::Widget_Button.

Definition at line 238 of file Popup_State.h.

The documentation for this class was generated from the following file:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Popup_State.h